Bug 1274955 - Fedora can't handle external hard drives well, and fstab errors cause boot crashes
Fedora can't handle external hard drives well, and fstab errors cause boot cr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-24 00:27 EDT by Guy Smiley
Modified: 2015-12-02 13:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:46:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guy Smiley 2015-10-24 00:27:17 EDT
Description of problem:

My external HD is very very fickle on Fedora. If I touch it, at all, Fedora gets confused, tries to "re-mount" it, as root, fails, and pops up an error, then shows the drive mounted twice in Caja. It seems to try to boot external drives as root and get confused about the fstab entries, and then the user becomes unable to "unmount" the not-working not-properly-mounted drive because of permissions errors. To top it off, if the drive is then disconnected and the system rebooted: "Welcome to Emergency Mode!" boot crash because it's confused about the fstab entries. This is a CRITICAL, CRITICAL bug that is making me consider leaving Fedora and moving to a different distribution. Not being able to properly MOUNT DRIVES is a pretty big issue, and it needs to be fixed ASAP.


Version-Release number of selected component (if applicable):


How reproducible:

Hopefully I'm not the only one seeing this behavior, it's not trivial to reproduce and it seems inconsistent as to when it will happen.

Actual results:

Loss of functionality of connected external drives. Loss of ABILITY TOO BOOT THE SYSTEM!!!

Expected results:

Hard drives should not crash and stop working, cause root auth problems, or cause boot failures.
Comment 1 Jan Synacek 2015-10-26 04:33:45 EDT
The only thing that I can parse from this bug report is that your hard drive is half broken. Consider replacing it with a working one.
Comment 2 Lukáš Nykrýn 2015-10-26 05:54:03 EDT
> Not being able to properly MOUNT DRIVES is a pretty
> big issue, and it needs to be fixed ASAP.

If you want to have something fixed as soon as possible, you should attach relevant information that would help us to help you with your issue. You wrote that you got to rescue shell, so you are able to get an output from journal.
You could also post your /etc/fstab /dev/disk-by-*. Or are you using GPT?

Please realize that you are using open-source and a lot of people here are volunteers, solving bugs in their free time.
Comment 3 Guy Smiley 2015-10-30 06:38:03 EDT
No the hard drive itself is fine. The crux of the problem is that Fedora is trying to mount it as root, I believe, and getting confused about fstab. No other system I have has any problem with this hard-drive, or not being able to BOOT after having an external drive plugged in, under any circumstances. If plugging in a hard-drive that may be a little spotty is enough to render a Fedora system UNBOOTABLE, then this is a critical bug and I don't think it should be closed, either way.
Comment 4 Guy Smiley 2015-10-30 06:40:15 EDT
Once I get the "Emergency Mode" message at boot, the system is unresponsive. No text from typing appears on the screen, it appears frozen until Control-D or hard reboot. The only way to recover at that point is to plug the hard-drive back into that the system and reboot.
Comment 5 Guy Smiley 2015-11-13 01:45:27 EST
I don't agree that this should be marked closed. This is a critical, untriaged bug in Fedora. Not being able to BOOT because a drive which may or may not be faulty was plugged into the system is a CRITICAL BUG which seems to be unique to Fedora / Red Hat OS. The system being unresponsive in "emergency mode" is also a critical bug. Do you guys just sweep these things under the rug or what?
Comment 6 Guy Smiley 2015-11-13 01:53:56 EST
I don't really feel comfortably attempting to send my system into an unresponsive emergency mode to help debug this. As I said, I believe the problem stems from the fact that it appears that Fedora mounted the drive, or attempted to mount it, as root, even though no "sudo mount" command was actually issued by the user, thus causing some stray entry in fstab that was not fixable without manual intervention as root, and caused the system to fail to boot. How about if Fedora just doesn't completely crash if it can't boot an external drive it thought should be there at startup. That would seem like a logical fix to me.
Comment 7 Fedora End Of Life 2015-12-02 10:46:32 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.